package com.ruoyi.mingxue.mapper;


import com.ruoyi.mingxue.domain.MxjbTagExt;

import java.util.List;

/**
 * mxjbTagExtMapper接口
 * 
 * @author mingxue
 * @date 2022-09-14
 */
public interface MxjbTagExtMapper 
{
    /**
     * 查询mxjbTagExt
     * 
     * @param menuId mxjbTagExtID
     * @return mxjbTagExt
     */
    public MxjbTagExt selectMxjbTagExtById(Long menuId);

    /**
     * 查询mxjbTagExt列表
     * 
     * @param mxjbTagExt mxjbTagExt
     * @return mxjbTagExt集合
     */
    public List<MxjbTagExt> selectMxjbTagExtList(MxjbTagExt mxjbTagExt);

    /**
     * 新增mxjbTagExt
     * 
     * @param mxjbTagExt mxjbTagExt
     * @return 结果
     */
    public int insertMxjbTagExt(MxjbTagExt mxjbTagExt);

    /**
     * 修改mxjbTagExt
     * 
     * @param mxjbTagExt mxjbTagExt
     * @return 结果
     */
    public int updateMxjbTagExt(MxjbTagExt mxjbTagExt);

    /**
     * 删除mxjbTagExt
     * 
     * @param menuId mxjbTagExtID
     * @return 结果
     */
    public int deleteMxjbTagExtById(Long menuId);

    /**
     * 批量删除mxjbTagExt
     * 
     * @param menuIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteMxjbTagExtByIds(Long[] menuIds);
}
